@font-face {
  font-family: 'Kode_Mono'; 
  src: url('https://creepycrawlieparty.neocities.org/seabird_website/KodeMono.ttf') format('woff2'),
       url('https://creepycrawlieparty.neocities.org/seabird_website/KodeMono.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@media screen and (max-width: 768px) {
  .column{
    width:100%
  }
}

::selection {
  background: rgba(0, 0, 0, 0.2);
}

#container2 {
    font-family: 'Kode_Mono';
    font-size: 16px;
    z-index: 20;
    position: relative;
    margin: 50px auto;
    width: 400px;
    height: 250px;
    background-color: #e2d8bf;
    background-size: cover;
    background-position: center;
    border: 1px solid #000000;
    display: flex;
    justify-content: center;
    align-items: center;
}

form {
    
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px; 
}

input[type=text] { 
  margin-bottom: 20px;
  position: relative;
  font-family: 'Kode_Mono';
  font-size: 16px;
  background-color: #e2d8bf;
  text-align: center;
  padding: 12px 16px;
  text-decoration: none;
  text-overflow: ellipsis;
}

.photopile { 
  display: flex; 
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  max-width: 40%;
}
.photopile figure { 
  display: inline-block;
  background: white;
  box-shadow: 1px 4px 5px rgba(0,0,0,0.55);
  transform: rotate(2deg);
  margin: 0 -25px;
}
.photopile figure img {
  max-width: calc(100% - 2rem);
  margin: 1rem 1rem 0 1rem;
  border: 1px rgb(0,0,0,0.55) inset;
}
.photopile figcaption, .popovers figcaption {
  font-family: /* set this to have it match the rest of the page */;
  text-align: center;
  margin: 0.5rem 1rem 1rem 1rem;
  font-size: 1rem;
  color: black;
}
.photopile button { 
  background: none; 
  border: none;
  max-width: 40%;
}
.photopile button:hover, .photopile button:focus { 
  z-index: 3;
  cursor:pointer;
}
.photopile button:nth-child(2n) { 
  transform: rotate(-10deg);
}
.photopile button:nth-child(3n) {
  transform: rotate(5deg);
}
.photopile button:nth-child(4n) { 
  transform: rotate(4deg);
}
.photopile button:nth-child(5n) { 
  transform: rotate(-2deg);
}
.photopile button:nth-child(6n) {
  transform: rotate(-7deg);
}
:popover-open {
  border: none;
  box-shadow: 1px 4px 5px rgba(0,0,0,0.55);
  position: fixed;
  top: 50vh;
  left: 50vw;
  transform: translate(-50%,-50%);
}
.popovers figure:popover-open {
  display: block;
  background: white;
  width: 88vmin;
}
.popovers figure:popover-open figcaption {
  margin: 2.5vmin 1rem 4vmin 1rem;
  font-size: 175%;
  color: black;
}
.popovers figure:popover-open img {
  margin: 4vmin 4vmin 0 4vmin;
  width: 80vmin;
  border: 4px rgb(0,0,0,0.55) inset;
}

#buttons button {
    margin-bottom: 20px; 
    position: relative;
    z-index: 1000;
    outline: 0;
    background-color: #806b28;
    border: 1px solid #000;
    cursor: pointer;
    flex-shrink: 0;
    font-family: 'Kode_Mono';
    font-size: 16px;
    color: #e2d8bf;
    line-height: 1.5;
    overflow: hidden;
    padding: 12px 16px;
    text-decoration: none;
    text-overflow: ellipsis;
    transition: all .14s ease-out;
    white-space: nowrap;
  }
  
  #buttons button:hover {
    box-shadow: 4px 4px 0 #000;
  }
  
  #buttons {
    z-index: 1000;
    width: 700px;
    text-align: center;
}

/* button 3 styling */
#buttons3 button {
  z-index: 100000;
  outline: 0;
  align-items: center;
  background-color: #806b28;
  border: 1px solid #000;
  cursor: pointer;
  display: inline-block;
  flex-shrink: 0;
  font-family: 'Kode_Mono';
  font-size: 16px;
  color: #e2d8bf;
  justify-content: center;
  line-height: 1.5;
  overflow: hidden;
  padding: 12px 16px;
  text-decoration: none;
  text-overflow: ellipsis;
  transition: all .14s ease-out;
  white-space: nowrap;
}

#buttons3 button:hover {
  box-shadow: 4px 4px 0 #000;
  transform: translate(-4px,-4px);
}
  :focus-visible{
  outline-offset: 1px;
}

#buttons3 {
    width: 700px;
    margin: 30px auto 0 auto;
    text-align: center;
}